/*
 * Created by IntelliJ IDEA.
 * User: Mike
 * Date: Feb 12, 2004
 * Time: 2:06:18 PM
 */
package com.atlassian.confluence.rpc.soap.beans;

import com.atlassian.confluence.rpc.soap.AbstractSoapTestCase;
import com.atlassian.confluence.core.VersionHistorySummary;

import java.util.Date;

public class TestRemotePageHistory extends AbstractSoapTestCase
{
    public void testCreation()
    {
        Date modified = new Date(1000000000);
        VersionHistorySummary summary = new VersionHistorySummary(10, 4, "fred", modified, "Cheeese");

        // test a basic page
        RemotePageHistory rph = new RemotePageHistory(summary);
        assertEquals(10, rph.getId());
        assertEquals(4, rph.getVersion());
        assertEquals(modified, rph.getModified());
        assertEquals("fred", rph.getModifier());
    }
}